Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class PersonName

    java.lang.Object
      org.jboss.portal.wsrp.core.PersonName

All Implemented Interfaces:
  java.io.Serializable

    public class PersonName

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected java.lang.String` | `family`
`protected java.lang.String` | `given`
`protected java.lang.String` | `middle`
`protected java.lang.String` | `nickname`
`protected java.lang.String` | `prefix`
`protected java.lang.String` | `suffix`

Constructor Summary
`PersonName()`
`PersonName(java.lang.String prefix, java.lang.String given, java.lang.String family, java.lang.String middle, java.lang.String suffix, java.lang.String nickname, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getGiven()`
`java.lang.String` | `getMiddle()`
`java.lang.String` | `getNickname()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getSuffix()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setFamily(java.lang.String family)`
`void` | `setGiven(java.lang.String given)`
`void` | `setMiddle(java.lang.String middle)`
`void` | `setNickname(java.lang.String nickname)`
`void` | `setPrefix(java.lang.String prefix)`
`void` | `setSuffix(java.lang.String suffix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

### given

    protected java.lang.String given

### family

    protected java.lang.String family

### middle

    protected java.lang.String middle

### suffix

    protected java.lang.String suffix

### nickname

    protected java.lang.String nickname

### extensions

    protected Extension[] extensions

Constructor Detail

### PersonName

    public PersonName()

### PersonName

    public PersonName(java.lang.String prefix,
                      java.lang.String given,
                      java.lang.String family,
                      java.lang.String middle,
                      java.lang.String suffix,
                      java.lang.String nickname,
                      Extension[] extensions)

Method Detail

### getPrefix

    public java.lang.String getPrefix()

### setPrefix

    public void setPrefix(java.lang.String prefix)

### getGiven

    public java.lang.String getGiven()

### setGiven

    public void setGiven(java.lang.String given)

### getFamily

    public java.lang.String getFamily()

### setFamily

    public void setFamily(java.lang.String family)

### getMiddle

    public java.lang.String getMiddle()

### setMiddle

    public void setMiddle(java.lang.String middle)

### getSuffix

    public java.lang.String getSuffix()

### setSuffix

    public void setSuffix(java.lang.String suffix)

### getNickname

    public java.lang.String getNickname()

### setNickname

    public void setNickname(java.lang.String nickname)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD